<%--
  The contents of this file are subject to the Mozilla Public License Version 1.1
  (the "License"); you may not use this file except in compliance with the License.
  You may obtain a copy of the License at <http://www.mozilla.org/MPL/>.

  Software distributed under the License is distributed on an "AS IS" basis, WITHOUT
  WARRANTY OF ANY KIND, either express or implied. See the License for the specific
  language governing rights and limitations under the License.
  
  The Original Code is the Venice Web Communities System.
  
  The Initial Developer of the Original Code is Eric J. Bowersox <erbo@silcom.com>,
  for Silverwrist Design Studios.  Portions created by Eric J. Bowersox are
  Copyright (C) 2001 Eric J. Bowersox/Silverwrist Design Studios.  All Rights Reserved.

  Contributor(s): 
--%>
<%@ page import = "java.util.*" %>
<%@ page import = "com.silverwrist.util.StringUtil" %>
<%@ page import = "com.silverwrist.venice.core.*" %>
<%@ page import = "com.silverwrist.venice.servlets.Variables" %>
<%@ page import = "com.silverwrist.venice.servlets.format.*" %>
<%
  ManageTopic data = ManageTopic.retrieve(request);
  Variables.failIfNull(data);
  RenderData rdat = RenderConfig.createRenderData(application,request,response);
%>
<% if (rdat.useHTMLComments()) { %><!-- Managing topic #<%= data.getTopicNumber() %> 
                                        in conference #<%= data.getConfID() %> --><% } %>
<% rdat.writeContentHeader(out,"Manage Topic:",data.getTopicName()); %>

<%= rdat.getStdFontTag(ColorSelectors.CONTENT_FOREGROUND,2) %>
  <A HREF="<%= rdat.getEncodedServletPath("confdisp?" + data.getLocator()) %>">Return to Topic</A>
</FONT><P>

<%= rdat.getStdFontTag(ColorSelectors.CONTENT_FOREGROUND,2) %>
  <DIV ALIGN="LEFT"><B>Topic Subscription:</B></DIV>
  <% if (data.isSubscribed()) { %>
    You are currently subscribed to this topic, and will receive all new posts to it via E-mail.<P>
    <B><A HREF="<%= rdat.getEncodedServletPath("topicops?" + data.getLocator() + "&cmd=SN") %>">Click Here
    to Stop Subscribing To This Topic</A></B>
  <% } else { %>
    You are not currently subscribed to this topic.  When you subscribe to a topic, you will receive all new
    posts to that topic via E-mail.<P>
    <B><A HREF="<%= rdat.getEncodedServletPath("topicops?" + data.getLocator() + "&cmd=SY") %>">Click Here
    to Start Subscribing To This Topic</A></B>
  <% } // end if %><P>

  <% if (data.displayInviteSection()) { %>
    <% if (rdat.useHTMLComments()) { %><!-- Invitation Section --><% } %>
    <% rdat.writeContentHeader(out,"Send Invitation",null); %>
    <%= rdat.getStdFontTag(ColorSelectors.CONTENT_FOREGROUND,2) %>
      You may send an invitation via E-mail to outside individuals to join this community and
      read this topic in the conference.<P>
      <B><A HREF="<%= rdat.getEncodedServletPath("sigops?cmd=I&" + data.getLocator()) %>">Click here to
      send an invitation</A></B>
    </FONT><P>
  <% } // end if %>

  <% if (rdat.useHTMLComments()) { %><!-- Filtered Users Section --><% } %>
  <% rdat.writeContentHeader(out,"Filtered Users",null); %>
  <% if (data.getNumBozos()>0) { %>
    <TABLE BORDER=0 ALIGN=CENTER CELLPADDING=0 CELLSPACING=2>
      <% Iterator it = data.getBozosIterator(); %>
      <% while (it.hasNext()) { %>
        <% UserProfile prof = (UserProfile)(it.next()); %>
        <TR>
          <TD ALIGN=CENTER WIDTH=16>
            <A HREF="<%= rdat.getEncodedServletPath("topicops?" + data.getLocator() + "&cmd=RB&u="
                                                    + prof.getUID()) %>"><IMG
             SRC="<%= rdat.getFullImagePath("icn_x.gif") %>" ALT="Remove" BORDER=0 WIDTH=16
             HEIGHT=16></A>
          </TD>
          <TD ALIGN=LEFT CLASS="content"><%= rdat.getStdFontTag(ColorSelectors.CONTENT_FOREGROUND,2) %>
            &lt;<A HREF="<%= rdat.getEncodedServletPath("user/" + prof.getUserName()) %>"><%= prof.getUserName() %></A>&gt;
            <EM>(<%= StringUtil.encodeHTML(prof.getGivenName()) %>
                 <%= StringUtil.encodeHTML(prof.getFamilyName()) %>)</EM>
          </FONT></TD>
        </TR>
      <% } // end while %>
    </TABLE><P>
    <TABLE ALIGN=CENTER BORDER=0 CELLPADDING=2 CELLSPACING=0>
      <TR VALIGN=TOP>
        <TD ALIGN=CENTER WIDTH=16>
          <IMG SRC="<%= rdat.getFullImagePath("icn_x.gif") %>" ALT="Remove" BORDER=0 WIDTH=16 HEIGHT=16>
        </TD>
        <TD ALIGN=LEFT CLASS="content"><%= rdat.getStdFontTag(ColorSelectors.CONTENT_FOREGROUND,2) %>
          Click this symbol to cease filtering this user in this topic.
        </FONT></TD>
      </TR>
    </TABLE>
  <% } else { %>
    <DIV ALIGN="CENTER"><EM>No users currently filtered.</EM></DIV>
  <% } // end if %>
</FONT>
